<!-- Header-->
<div mat-dialog-title>
    <h1>Añadir precio</h1>
    <button (click)="close()" mat-icon-button aria-label="Close add-price dialog">
        <mat-icon>close</mat-icon>
    </button>
</div>
<!-- Content-->
<div mat-dialog-content>
    <form [formGroup]="priceForm" (ngSubmit)="onSubmit()" id="add-price-form">
        <mat-grid-list cols="3" rowHeight="72px" gutterSize="12px">
            <!-- Quantity -->
            <mat-grid-tile [colspan]="1" [rowspan]="1">
                <div style="font-size: 12px; position: relative; width: 100%">
                    <mat-form-field appearance="fill" class="mat-form-field-light">
                        <mat-label>Quantity</mat-label>
                        <input type="number" matInput placeholder="0" formControlName="quantity" required
                            style="text-align: right;">
                        <span matSuffix>&nbsp;€</span>
                    </mat-form-field>
                </div>
            </mat-grid-tile>

            <!-- Store -->
            <mat-grid-tile [colspan]="1" [rowspan]="1">
                <div style="font-size: 12px; position: relative; width: 100%">
                    <mat-form-field appearance="fill" class="mat-form-field-light w-full">
                        <mat-label>Store</mat-label>
                        <input matInput placeholder="Store" formControlName="store">
                    </mat-form-field>
                </div>
            </mat-grid-tile>

            <!-- Date -->
            <mat-grid-tile [colspan]="1" [rowspan]="1">
                <div style="font-size: 12px; position: relative; width: 100%">
                    <mat-form-field appearance="fill" class="mat-form-field-light w-full">
                        <mat-label>Date</mat-label>
                        <input formControlName="date" [matDatepicker]="dateDP" matInput required>
                        <mat-datepicker-toggle [for]="dateDP" matSuffix></mat-datepicker-toggle>
                        <mat-datepicker #dateDP></mat-datepicker>
                    </mat-form-field>
                </div>
            </mat-grid-tile>

            <!-- Notes -->
            <mat-grid-tile [colspan]="2" [rowspan]="1">
                <div style="font-size: 12px; position: relative; width: 100%">
                    <mat-form-field appearance="fill" class="mat-form-field-light w-full">
                        <mat-label>Notes</mat-label>
                        <input matInput placeholder="Notes" formControlName="notes">
                    </mat-form-field>
                </div>
            </mat-grid-tile>

            <!-- Action button -->
            <mat-grid-tile [colspan]="1" [rowspan]="1">
                <button mat-flat-button color="accent" type="submit" [disabled]="!priceForm.valid" form="add-price-form" class="mt-1"
                    cdkFocusInitial>Añadir precio</button>
            </mat-grid-tile>
        </mat-grid-list>
    </form>
    <div class="price-list">
        <h2>Histórico de facturas:</h2>
       <!--  <div *ngFor="let price of prices$ | async" class="price-item">
            <span class="z2h-price">{{ price.quantity.toString().split('.')[0] }},
                <span class="z2h-price_decimals">{{ price.quantity.toString().split('.')[1] }}</span>
                <span class="z2h-price_currency">EUR</span>
            </span> <span class="z2h-store"> - {{ price.store }}</span>
            <br>
            <span class="z2h-store"> - {{ price.date | date:'dd/MM/yyyy' }}</span>
        </div> -->
    </div>
</div>